version: "3.4"

services:
  app:
    image: registry.gitlab.com/uni.hoffic.cz/student-demonstrator-manager/web-system/release
    restart: unless-stopped
    environment:
      DATABASE_URL: postgres://postgres:change_this@db:5432/application # Change this only if you want to use a dedicated database.
      AUTHENTICATION_METHOD: email # One of [email, oauth].
      OAUTH_MICROSOFT_CLIENT_ID: ${SDM_OAUTH_MICROSOFT_CLIENT_ID} # Required if AUTHENTICATION_METHOD is oauth.
      OAUTH_MICROSOFT_CLIENT_SECRET: ${SDM_OAUTH_MICROSOFT_CLIENT_SECRET} # Required if AUTHENTICATION_METHOD is oauth.
      MAILER_DSN: ${SDM_MAILER_DSN} # Required if AUTHENTICATION_METHOD is email. Format: https://symfony.com/doc/4.4/mailer.html#using-built-in-transports
      ADMIN_ACCOUNTS: 'admin.name@swansea.ac.uk,admin@hoffic.dev' # Comma-separated list (without spaces) of admin users.
    # Uncomment this if you want to use your own reverse proxy.
    #ports:
    #  - 8080:8080
    networks:
      - web-system-internal
  db:
    image: postgres:12.4-alpine
    restart: unless-stopped
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=change_this # If you change this you need to update DATABASE_URL in the app service as well.
    volumes:
      - db_data:/var/lib/postgresql/data
    networks:
      - web-system-internal
  proxy:
    image: nginx:1.19-alpine
    restart: unless-stopped
    ports:
      - 443:443
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf:ro
      - ./cert.pem:/etc/ssl/certs/server.crt:ro
      - ./privkey.pem:/etc/ssl/certs/server.key:ro
    networks:
      - web-system-internal

volumes:
  db_data:

networks:
  web-system-internal:
    ipam:
      driver: default
      config:
        - subnet: "172.128.61.0/24"
